<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::Matrix4 Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a0d9aaf75aa94b65f4ec5fe1afb0cf4d1">_m</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a2570c4903858248e80bc6f34571c141a">adjoint</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a08a798c0d8c8290dbc0287ca6561f549">CLIPSPACE2DTOIMAGESPACE</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#aa61f91e4084cdc0adce4eb489a8f9898">concatenate</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a854210ca8faa1380f447e552c1d34191">concatenateAffine</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a2a45fd744a4ccfac9ed86578acf4923a">decomposition</a>(Vector3 &amp;position, Vector3 &amp;scale, Quaternion &amp;orientation) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a7e14122cbf6856b9701142cb6580aaa1">determinant</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a7c32a3b5d7675181995e917f66c18b69">extract3x3Matrix</a>(Matrix3 &amp;m3x3) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ae66aaed3ab33c1f2a9862bc21dde0608">extractQuaternion</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#adfddc3e047c6052647ebfa5ddb3fbe13">getScale</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a5bac8a5777be6cf9af08c98de120d562">getScale</a>(Real s_x, Real s_y, Real s_z)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a928e9a44acf0f5a998392b272b117a4f">getTrans</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a88fb90dffc0216a0a59bf19fad4eeace">getTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a3eedf9b0ea1245683a20f2e98ebd7e42">getTrans</a>(Real t_x, Real t_y, Real t_z)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ad7b6df8db31a975c7d8e0b255bce236b">hasNegativeScale</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a15aa8cfb2a09630c58c053649242d369">hasScale</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#af2f61127dd1911c9ac2b4cbc0b4f3668">IDENTITY</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a8879acb17e3029cf8bc2796b29ed8470">inverse</a>() const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a48cec18b03b16a9161d1c95b493a38a4">inverseAffine</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a582b20b912ed7d7f8f179505dfbe7a4e">isAffine</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a949708616d61b1c520d04bd9b0577324">m</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a4e5949d1d1004070660f31036ee69523">makeInverseTransform</a>(const Vector3 &amp;position, const Vector3 &amp;scale, const Quaternion &amp;orientation)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#afb53c4fa6548001260d77dc283e3652f">makeTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a87f478c5d19a10a371b736108e0b5e5f">makeTrans</a>(Real tx, Real ty, Real tz)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a283bf568c924a673a1467c428d4b969d">makeTransform</a>(const Vector3 &amp;position, const Vector3 &amp;scale, const Quaternion &amp;orientation)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#abde37761a7b38997925b6805f6494f72">Matrix4</a>()</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a91cac2ee0f0e8bd582c24db497afcd21">Matrix4</a>(Real m00, Real m01, Real m02, Real m03, Real m10, Real m11, Real m12, Real m13, Real m20, Real m21, Real m22, Real m23, Real m30, Real m31, Real m32, Real m33)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a8ae0763e439e87045b1ce46dca2c279c">Matrix4</a>(const Matrix3 &amp;m3x3)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#aaf7dc461a266459ab6916e7f97991969">Matrix4</a>(const Quaternion &amp;rot)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a67d3ae14b6b68e6824f1a91d99da16f8">operator!=</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a7afd9c17be1a09da49b11b2c1a9e4ccb">operator*</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a9a46d183f9470d7608e50a43ef327b46">operator*</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ab120b3153610d0c92fe0876249c7d3ae">operator*</a>(const Vector4 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#adf4c418aa94944129f99dacd90ca29dd">operator*</a>(const Plane &amp;p) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a33a5f250207da657e2dab3b3aa5f4d72">operator*</a>(Real scalar) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ac0c54ddc64f9b832ab2656f514060fbb">operator+</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a6c698c19379d5b4d2ff6e5dd186ad76c">operator-</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#aa690d21c6464462d97145c8071ca5c29">operator&lt;&lt;</a>(std::ostream &amp;o, const Matrix4 &amp;mat)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a5c5f37c501d49692728909d11dd8c1de">operator=</a>(const Matrix3 &amp;mat3)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a5eb73fdc4084eed850221ed14f558ff2">operator==</a>(const Matrix4 &amp;m2) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#aa996041c004dbfd5629120299ee0cb6f">operator[]</a>(size_t iRow)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a9e799f2922b54ced115226b14b1d3a0b">operator[]</a>(size_t iRow) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a754a168ea4d55d40c9a24ef33eb41c95">setScale</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#aaf08a89733aa192a0d9e414e8b18ccf1">setTrans</a>(const Vector3 &amp;v)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a83b9aa92783c4679fc09307e74e92736">swap</a>(Matrix4 &amp;other)</td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#afcd6dae51beb8283338ad52ac63c86fb">transformAffine</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a30bacec4331db3d61f8a43a0d8596595">transformAffine</a>(const Vector4 &amp;v) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ae141496dd80a027493cfc0bea3952a4d">transpose</a>(void) const </td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#a838ac3cb744a01a39dfe35c61e942d7a">ZERO</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Matrix4.html#ae2c11de10a963ad13ce3d3e802a05d60">ZEROAFFINE</a></td><td><a class="el" href="classOgre_1_1Matrix4.html">Ogre::Matrix4</a></td><td><code> [static]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
